Bug 607412 - rhel4.8 and rhel3.9 guest cannot be fully shutdown by executing 'halt' command in guest
rhel4.8 and rhel3.9 guest cannot be fully shutdown by executing 'halt' comman...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 23:58 EDT by Jianjiao Sun
Modified: 2010-06-25 10:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 10:26:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel3u9 halt (10.11 KB, image/png)
2010-06-25 06:00 EDT, Nan Zhang
no flags Details

  None (edit)
Description Jianjiao Sun 2010-06-23 23:58:28 EDT
Description of problem:
The guest is rhel4.8 and rhel3.9 installed successfully.When I type in "halt" command as root.The system begin to shutdown.But hang up at "system halted".

Version-Release number of selected component (if applicable):
[root@dhcp-65-144 unanao]# rpm -q virt-manager
virt-manager-0.8.4-5.el6.noarch

[root@dhcp-65-144 unanao]# rpm -q libvirt
libvirt-0.8.1-9.el6.x86_64

[root@dhcp-65-144 unanao]# rpm -qa |grep kvm
qemu-kvm-0.12.1.2-2.79.el6.x86_64

[root@dhcp-65-144 unanao]# uname -a
Linux dhcp-65-144.nay.redhat.com 2.6.32-37.el6.x86_64 #1 SMP Sun Jun 20
19:29:35 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
always

Steps to Reproduce:
1.Login the guest
2.su -
3.#halt
  
Actual results:
hung up at "system halted"

Expected results:
The guest halt successfully

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-24 00:12:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Lawrence Lim 2010-06-24 04:01:18 EDT
What about other moe of shutdown?
Comment 4 Jianjiao Sun 2010-06-24 04:28:01 EDT
yeah!

#shutdown -h now 
works well .

But I think there are a lot of people like "#halt",beacuse It is convinet to use.
Comment 6 Nan Zhang 2010-06-25 06:00:43 EDT
Created attachment 426827 [details]
rhel3u9 halt

I can reproduced this issue.

1. Intall rhel3u9 or rhel4u8 guest
2. Log in guest and execute command
   # halt
3. The guest cannot be able to fully shutdown.

Using 'shutdown -h now' can workaround this issue. I captured a screenshot.
Comment 7 Daniel Berrange 2010-06-25 10:00:33 EDT
I don't believe this is a bug. The 'halt' command is only intended to halt the operating system, not power off the machine. The 'poweroff' command should be used if you want the guest to actually power off the machine.

Shutdown -h is equivalent to poweroff in normal configs.

Please re-test with the 'poweroff' command.
Comment 8 Nan Zhang 2010-06-25 10:26:16 EDT
Yes, the guest can be shutdown with the 'poweroff' command, so it's not a bug. Close it.

Note You need to log in before you can comment on or make changes to this bug.